=== debian/control ===
Source: ros-melodic-fuse-viz
Section: misc
Priority: optional
Maintainer: Enrique Fernandez <efernandez@clearpath.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-fuse-constraints, ros-melodic-fuse-core, ros-melodic-fuse-msgs, ros-melodic-fuse-variables, ros-melodic-geometry-msgs, ros-melodic-roslint, ros-melodic-rviz, ros-melodic-tf2-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-fuse-viz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-fuse-constraints, ros-melodic-fuse-core, ros-melodic-fuse-msgs, ros-melodic-fuse-variables, ros-melodic-geometry-msgs, ros-melodic-rviz, ros-melodic-tf2-geometry-msgs
Description: The fuse_viz package provides visualization tools for fuse.
